> For the complete documentation index, see [llms.txt](https://developers.make.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.make.com/mcp-server/connect-using-mcp-token/scenarios-as-tools-access-control.md).

# Scenarios as tools access control

By default, the `mcp:use` scope of your MCP token allows AI systems to access all **active** and **on-demand** scenarios across all of your Make organizations. If you want to restrict access, append query parameters to the connection URL according to these levels:&#x20;

* Organization
* Team
* Scenario

Scenarios must be **active** with **on-demand** scheduling to be discoverable as MCP tools.&#x20;

{% hint style="warning" %}
The following applies only to scenario tools, and excludes management tools and other tool types.&#x20;
{% endhint %}

### **Organization level**

`https://<MAKE_ZONE>/mcp/u/<MCP_TOKEN>/stateless?organizationId=<id>`

The AI system can access all scenarios in any team within the specified organization.

### **Team level**

`https://<MAKE_ZONE>/mcp/u/<MCP_TOKEN>/stateless?teamId=<id>`&#x20;

The AI system can access all scenarios within the specified team.

### Scenario level

`https://<MAKE_ZONE>/mcp/u/<MCP_TOKEN>/stateless?scenarioId=<id>`&#x20;

The AI system can only access the specified scenario.

{% hint style="success" %}
If you experience connection issues, you can add  `/stream`  instead of `/stateless` in the connection URL. For SSE, add  `/sse`  instead.&#x20;
{% endhint %}

{% hint style="success" %}
&#x20;You can also specify multiple values for each of the entities above using the following syntax:\
&#x20;`?scenarioId[]=<id1>&scenarioId[]=<id2>`
{% endhint %}

{% hint style="warning" %}
You can't combine multiple levels, as levels are mutually exclusive.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers.make.com/mcp-server/connect-using-mcp-token/scenarios-as-tools-access-control.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
